S32 Design Studio and SDK 3.0 for S32K144

cancel
Showing results for 
Search instead for 
Did you mean: 

S32 Design Studio and SDK 3.0 for S32K144

924 Views
Contributor I

I installed the new S32K IDE:

S32 Design Studio

Version: 3.2
Build id: 190924

I want to develop code for the S32K144 micro.

I downloaded and installed the SDK: S32SDK_S32K1xx_RTM_3.0.0.exe

How do I make this SDK available (usable) within the S32 Design Studio?

I would like to use Processor Expert and FreeRtos 10.x that is contained in the SDK.

Any help greatly appreciated...

Al

Tags (2)
0 Kudos
6 Replies

336 Views
NXP Employee
NXP Employee

Hi, 

for S32K144 you need this version of S32DS: 

S32 Design Studio for ARM 2018.R1 (Windows/Linux) released! 

Here are details about S32DS Versions:

https://community.nxp.com/docs/DOC-335338 

Jiri

0 Kudos

336 Views
Contributor I

Hi,

thank you very much for the quick response.  By default this IDE has "Fully integrated S32 SDK for S32K14x EAR release v.0.8.6.".  How can I get the S32SDK_S32K1xx_RTM_3.0.0 instead??

0 Kudos

336 Views
NXP Employee
NXP Employee

Hi, 

just update it -> https://community.nxp.com/docs/DOC-344776 

Jiri

0 Kudos

336 Views
Contributor I

I am confused, I went through all the update, but it switched me back to the old FreeRTOS version "V8.2.1"

and the repository "SDK_S32K14x_09"

If I want to change the repository back to "SDK_S32K1xx_15/FreeRTOS, version SDK_S32K1xx_15" it shows me

"not supported for selected processor".  How can I get the latest??

0 Kudos

336 Views
Contributor I

I switched the repositories back to "xx_15" and now when I try to build I get a pop up message saying"

"This Processor Expert project requires KSDK 1.1 bu the Kinetis SDK path option refers to SDK_S32K14x_09? Select "Yes"

to convert or "No" to open project prefernces to change Kinetis SDK path. Select "Cancel" for no action."

What shall I do??

0 Kudos

336 Views
NXP Employee
NXP Employee

Hi, 

can you please share more details what you are trying to do? It looks that you are going to import some older SDK based project, Am I right?

In SDK RTM v3.0.0 is already FreeRTOS v10.0.1 example. 

Jiri

0 Kudos